Subject: Refactor the ConjunctionValidator and DisjunctionValidator
Description

Hi,

I changed some comments in the DisjunctionValidator which where copied from the ConjunctionValidator without adapting. I also
simplified both validators not needing anymore a variable $result.

Lukas

Associated revisions
Revision 54596f70 - 2010-03-15 17:52 - Karsten Dambekalns

[~TASK] FLOW3 (Validation): Some documentation cleanup to DisjunctionValidator, resolves #6727.

History
#1 - 2010-03-07 17:33 - Lukas Lentner
- File ConjunctionValidator.diff added
- File DisjunctionValidator.diff added

The diffs where made in Windows! (Tabs wrong and so on ...)
Here the proper Linux version

#2 - 2010-03-15 17:38 - Karsten Dambekalns
- File deleted (ConjunctionValidator.diff)

#3 - 2010-03-15 17:39 - Karsten Dambekalns
- File deleted (DisjunctionValidator.diff)

#4 - 2010-03-15 17:40 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date changed from 2010-03-07 to 2010-03-15
- Estimated time set to 1.00

#5 - 2010-03-15 17:51 - Karsten Dambekalns
Lukas Lentner wrote:

I also simplified both validators not needing anymore a variable $result.

And thus not including all possible errors anymore. See, the result isn't changed after the first FALSE, but there could be more errors being
appended... :)

#6 - 2010-03-15 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Applied in changeset r3949.

#7 - 2010-03-15 21:58 - Lukas Lentner

I'm sorry. I didn't see this possibillity ;-(

Files
ConjunctionValidator.diff 597 Bytes 2010-03-07 Lukas Lentner
DisjunctionValidator.diff 1.4 kB 2010-03-07 Lukas Lentner
